/*
 * Sidebar
 */

#main-sidebar, #main-nav {
    height: 100%;
}

.toolbar-horizontal {

    .sidebar {
        // padding-top: 40px;

        .nav-item {
            ul {
                top: -129px;

                li {
                    ul {
                        top: 0px;
                    }
                }
            }
        }
    }

    &.toolbar-tray-open {
        .sidebar {
            // padding-top: 79px;

            .nav-item {
                ul {
                    top: -128px;

                    li {
                        ul {
                            top: 0px;
                        }
                    }
                }
            }
        }
    }

}

.sidebar {

    .navbar-header {
        width: 100%;

        .site-branding {
            float: left;
        }

        .navbar-toggler {
            position: absolute;
            right: 20px;
            top: 30px;
            border-color: $brand_color;
            
            .navbar-toggler-icon {
                background-image: url("data:image/svg+xml;charset=utf8,%3Csvg viewBox='0 0 32 32' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath stroke='rgba(253,102,13, 0.5)' stroke-width='2' stroke-linecap='round' stroke-miterlimit='10' d='M4 8h24M4 16h24M4 24h24'/%3E%3C/svg%3E");
            }
        }
    }

    .nav-item {
        border-top: 1px solid $gray-800;
        background: #231f20;

        ul {
            padding-top: 5px;
            padding-bottom: 10px;
        }

        a {
            color: #fff;
            padding: 12px 0;

            &:hover {
                color: $brand_color;
            }
        }
    }

    @include media-breakpoint-down(md) {
        .navbar-brand {
            width: 160px;
            padding: 20px;
        }

        .nav-item {
            padding-right: 20px;
            padding-left: 20px;
        }
    }
}

@include media-breakpoint-up(lg) {
    .sidebar-sticky {
        position: relative;
        top: 0;
        height: 100vh;
        // overflow-x: hidden;
        // overflow-y: auto;
    }
    
    @supports ((position: -webkit-sticky) or (position: sticky)) {
        .sidebar-sticky {
            position: -webkit-sticky;
            position: sticky;
        }
    
    }

    .navbar-expand-lg {
        .navbar-nav {
            .nav-link {
                padding-left: 15px;
                padding-right: 15px;
            }
        }
    }

    .sidebar {
        // position: fixed;
        // top: 0;
        // bottom: 0;
        // left: 0;
        z-index: 100;
        width: 280px;
    
        /* Behind the navbar */
        padding: 0;
    
        /* Height of navbar */
        box-shadow: inset -1px 0 0 rgba(0, 0, 0, 0.1);
    
        .navbar-brand {
            padding: 30px 50px;
        }
    
        .nav-item {
            border-top: 1px solid $gray-800;
            background: #231f20;
            width: 100%;
    
            a {
                &:hover {
                    color: $brand_color;
                }
            }
    
            &:hover {
                ul {
                    display: block;
    
                    li {
                        ul {
                            display: none;
                        }
                    }
                }
    
                .nav-link {
                    border-right: 5px solid $brand_color;
                    color: $brand_color;
                }
            }
    
            ul {
                display: none;
                height: 100vh;
                position: absolute;
                top: 0;
                left: 100%;
                padding-left: 0;
                min-width: 240px;
                background-color: #000;
                list-style: none;
                padding-top: 30px;
    
                li {
                    padding: 0 20px;
    
                    &:hover {
                        ul {
                            display: block;
                        }
                    }
    
                    ul {
                        background-color: $gray-300;
                    }
    
                    a {
                        padding: 0 20px;
                        color: #fff;
                        line-height: 30px;
                        display: block;
    
                        &:hover {
                            text-decoration: none;
                            background: #3a393c none repeat scroll 0 0;
                            color: $brand_color;
                        }
                    }
                }
            }
        }
    
        .nav-link {
            font-weight: 500;
            color: #a7a9ac;
            text-transform: uppercase;
            padding: 15px;
            line-height: 45px;
            font-size: 0.8rem;
    
            .feather {
                margin-right: 4px;
                color: #999;
            }
    
            &:hover {
                border-right: 5px solid $brand_color;
                color: $brand_color;
            }
    
            &.active {
                color: $brand_color;
                border-right: 5px solid $brand_color;
            }
    
            &:hover .feather, &.active .feather {
                color: inherit;
            }
        }
    }
}

.sidebar-heading {
    font-size: .75rem;
    text-transform: uppercase;
}
